fmt_asn1dertag(3)

NAME
fmt_asn1dertag - encode unsigned integer like ASN.1 DER tag

SYNTAX
#include <libowfat/fmt.h> size_t fmt_asn1dertag(char *dest,unsigned long long source);

DESCRIPTION
fmt_asn1dertag encodes an unsigned integer using the ASN.1 DER for encoding tag. This takes one byte for every 7 bits in the number. If dest equals FMT_LEN (i.e. is NULL), fmt_asn1dertag returns the number of bytes it would have written. For convenience, fmt.h defines the integer FMT_ASN1TAG to be big enough to contain every possible fmt_asn1dertag output.

SEE ALSO
scan_asn1dertag(3)